import { Pool as PgPool } from 'pg';
import { Entity } from '../../core.js';
import { SearchConfig } from '../types.js';
import { BaseSearchStrategy } from './base-strategy.js';
/**
 * PostgreSQL search strategy - supports both database-level and client-side fuzzy search
 */
export declare class PostgreSQLFuzzyStrategy extends BaseSearchStrategy {
    private pgPool;
    private project;
    constructor(config: SearchConfig, pgPool: PgPool, project: string);
    canUseDatabase(): boolean;
    searchDatabase(query: string, threshold: number, project?: string): Promise<Entity[]>;
    searchClientSide(entities: Entity[], query: string): Entity[];
}
//# sourceMappingURL=postgresql-strategy.d.ts.map